description: obs_lsst/latiss fringe calibration construction
instrument: lsst.obs.lsst.Latiss
# Do not inherit until defects/linearize/ct is fixed.
# inherits:
#   location: $CP_PIPE_DIR/pipelines/cpFringe.yaml
tasks:
  isr:
    class: lsst.ip.isr.isrTask.IsrTask
    config:
      connections.ccdExposure: 'raw'
      connections.outputExposure: 'cpFringeIsr'
      doBias: True
      doVariance: True
      doLinearize: False
      doCrosstalk: False
      doDefect: False
      doNanMasking: True
      doInterpolate: True
      doDark: True
      doFlat: True
      doApplyGains: False
      doFringe: False
  cpFringe:
    class: lsst.cp.pipe.cpFringeTask.CpFringeTask
    config:
      connections.inputExp: 'cpFringeIsr'
      connections.outputExp: 'cpFringeProc'
  cpCombine:
    class: lsst.cp.pipe.cpCombine.CalibCombineTask
    config:
      connections.inputExps: 'cpFringeProc'
      connections.outputData: 'fringe'
      calibrationType: 'fringe'
      calibrationDimensions: ['physical_filter']
      exposureScaling: "Unity"
contracts:
  - isr.doFringe == False
  - cpCombine.calibrationType == "fringe"
  - cpCombine.exposureScaling == "Unity"
